using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KstCMS.DAL
{
    public interface ISysSubMenu
    {
        int Add(KstCMS.Model.SiteModel.SysSubMenu Model);
        void Update(KstCMS.Model.SiteModel.SysSubMenu Model);
        void Delete(string Menu_Id);
        System.Data.DataSet GetList(string strWhere, string OrderBy, int Top, params string[] FieldNames);
        bool Exists(string Menu_Code);
        KstCMS.Model.SiteModel.SysSubMenu GetModel(int id, params string[] FieldNames);
        KstCMS.Model.SiteModel.SysSubMenu GetModel(string Menu_Id, params string[] FieldNames);

    }
}
